## git-phab 2.1.0

=== requirements.txt ===
appdirs
argcomplete
GitPython>=2.0.0 # Do not forget to update git-phab::check_dependencies_versions
phabricator
pre-commit

## git-phab 0~git20160322

=== debian/changelog ===
git-phab (0~git20160322-1ubuntu1) yakkety; urgency=medium

  * Build-depend on docbook-xsl to fix FTBFS while offline.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 05 May 2016 04:21:21 -0400

git-phab (0~git20160322-1) unstable; urgency=medium

  * New upstream development release

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 25 Mar 2016 13:06:49 +0100

git-phab (0~git20151211-1) unstable; urgency=low

  * Initial release (Closes: #818975)

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 22 Mar 2016 16:03:22 +0100

=== debian/control ===
Source: git-phab
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends: debhelper (>= 9),
 bash-completion,
# Needed for manpage
 asciidoc,
 libxml2-utils,
 docbook-xml,
 xsltproc,
 docbook-xsl
Standards-Version: 3.9.7
Homepage: https://phabricator.freedesktop.org/diffusion/GITPHAB/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-phab.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/git-phab.git

Package: git-phab
Architecture: all
Depends: ${misc:Depends},
 python3,
 python3-appdirs,
 python3-argcomplete,
 python3-git,
 arcanist
Description: Git subcommand to integrate with Phabricator.
 Tool to help out pushing Git changes into Phabricator Differential.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE=1

%:
	dh $@

override_dh_installman:
	a2x --doctype manpage --format manpage git-phab.txt
	dh_bash-completion
	dh_installman

override_dh_clean:
	rm -f git-phab.1
	dh_clean

## git-phab 1.0.0

=== debian/changelog ===
git-phab (1.0.0-2) unstable; urgency=medium

  [ Logan Rosen ]
  * Fix FTBFS without Internet connection (Closes: #823536).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 27 Oct 2016 14:02:03 +0200

git-phab (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add gbp.conf
  * Add myself as a co-maintainer.
  * Use debian/clean instead of overriding dh_clean.
  * Add get-orig-source target.
  * Bump Standards-Version (no changes).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 20 Oct 2016 18:01:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: git-phab
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Uploaders: Andrew Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9),
  bash-completion,
 # Needed for manpage
@@ -11,7 +11,7 @@
  docbook-xml,
  xsltproc,
  docbook-xsl
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://phabricator.freedesktop.org/diffusion/GITPHAB/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-phab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/git-phab.git

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean override_dh_auto_build override_dh_auto_install:

override_dh_installman:
	a2x --doctype manpage --format manpage git-phab.txt
	dh_bash-completion
	dh_installman

get-orig-source: VERSION:=$(shell dpkg-parsechangelog -S Version | cut -d - -f 1 | tr '~' _)

get-orig-source:
	git archive -9 --format=tar.xz --prefix=git-phab-$(VERSION)/ -o git-phab-$(VERSION).tar.xz upstream/$(VERSION)

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_install override_dh_installman get-orig-source

## git-phab 2.0.0

=== debian/changelog ===
git-phab (2.0.0-2) unstable; urgency=medium

  * Apply an upstream patch:
    - Explicitly set revision title when creating [a differential]
      When creating a revision through the Conduit API, newer versions of
      Phabricator require we explicitly set the title in the field, rather
      than pulling it back from the commit message parsing.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 21 Mar 2017 14:08:35 +0100

git-phab (2.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Document 'apply' subcommand.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 02 Dec 2016 14:18:54 +0300

git-phab (1.0.0+git20161114-1) experimental; urgency=medium

  [ Logan Rosen ]
  * Fix FTBFS without Internet connection (Closes: #823536).

  [ Andrew Shadura ]
  * New upstream snapshot.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 17 Nov 2016 17:05:09 +0100

git-phab (1.0.0-3) unstable; urgency=medium

  * Prepare to use pybuild.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 29 Oct 2016 17:14:38 +0200

git-phab (1.0.0+git20160928-1) experimental; urgency=medium

  * New upstream snapshot.
  * Downgrade runtime dependency on arcanist to Suggests.
  * Depend on python3-phabricator.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 26 Oct 2016 15:41:11 +0200

## git-phab 2.1.0

=== debian/changelog ===
git-phab (2.1.0-2) unstable; urgency=medium

  * Upload into unstable.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 19 Jun 2017 13:54:36 +0300

git-phab (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: drop patches merged upstream.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 31 May 2017 12:44:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,9 @@
 Uploaders: Andrew Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9),
  bash-completion,
+ dh-python,
+ python3-all,
+ python3-setuptools (>= 0.6.24),
 # Needed for manpage
  asciidoc,
  libxml2-utils,
@@ -18,11 +21,14 @@
 
 Package: git-phab
 Architecture: all
-Depends: ${misc:Depends},
- python3,
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
  python3-appdirs,
  python3-argcomplete,
  python3-git,
+ python3-phabricator,
+Suggests:
  arcanist
 Description: Git subcommand to integrate with Phabricator.
  Tool to help out pushing Git changes into Phabricator Differential.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DISABLE=clean configure build install

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	a2x --doctype manpage --format manpage git-phab.txt
	dh_bash-completion
	dh_installman

get-orig-source: VERSION:=$(shell dpkg-parsechangelog -S Version | cut -d - -f 1 | tr '~' _)

get-orig-source:
	git archive -9 --format=tar.xz --prefix=git-phab-$(VERSION)/ -o git-phab-$(VERSION).tar.xz upstream/$(VERSION)

.PHONY: override_dh_installman get-orig-source

=== debian/watch ===
version=4
# https://pypi.python.org/packages/source/g/git-phab/ \
#     @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## git-phab 2.9.0~git20170531+6877964

=== debian/changelog ===
git-phab (2.9.0~git20170531+6877964-2) unstable; urgency=medium

  [ Kevin Locke ]
  * Fix bash-completion script (Closes: #985029).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 11 Mar 2021 23:44:16 +0100

git-phab (2.9.0~git20170531+6877964-1) unstable; urgency=medium

  * New upstream snapshot.
  * Orphan the package.
  * Add the upstream Git repo to debian/watch.
  * Use secure copyright file specification URI.
  * Bump Standards-Version to 4.5.1.
  * Deprecate priority extra as per policy 4.0.1.
  * Use debhelper-compat instead of debian/compat, bump compat to 12.
  * Set Vcs-* to salsa.debian.org.
  * Properly use pybuild.
  * Specify dh sequences in Build-Depends.
  * Drop no longer necessary get-orig-source.
  * Set Rules-Requires-Root: no.
  * Update the copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 06 Feb 2021 20:49:12 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_installman:
	a2x --doctype manpage --format manpage git-phab.txt
	dh_installman

.PHONY: override_dh_installman

=== debian/watch ===
version=4
# https://pypi.python.org/packages/source/g/git-phab/ \
#     @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

opts="mode=git, pgpmode=none, pretty=2.9.0~git%cd+%h, repack, compression=xz" \
 https://anongit.freedesktop.org/git/git-phab.git \
 HEAD
